<?php

namespace MovieEngine\Admin;

if (!defined('ABSPATH')) {
    exit;
}

class MetaBoxes {

    public function __construct() {
        $this->load_metaboxes();
    }

    private function load_metaboxes() {
        require_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/metabox-settings.php';

        require_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/movie-metabox.php';
        $movie_metabox = new \MovieEngine\Admin\MetaBox\MovieMetaBox();
        $movie_metabox->init();

        require_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/tvseries-metabox.php';
        $series_metabox = new \MovieEngine\Admin\MetaBox\SeriesMetaBox();
        $series_metabox->init();

        require_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/seasons-metabox.php';
        $season_metabox = new \MovieEngine\Admin\MetaBox\SeasonMetaBox();
        $season_metabox->init();

        include_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/episode-metabox.php';
        $episode_metabox = new \MovieEngine\Admin\MetaBox\EpisodeMetaBox();
        $episode_metabox->init();

        require_once MOVIE_ENGINE_PATH . 'includes/Admin/MetaBox/person-metabox.php';
        $person_metabox = new \MovieEngine\Admin\MetaBox\PersonMetaBox();
        $person_metabox->init();
    }
}
